<?php

/**
 * 絵文字を画像に変換するためのクラス
 */
class OpenPNE_KtaiEmoji_Img extends OpenPNE_KtaiEmoji_Common
{
    function OpenPNE_KtaiEmoji_Img()
    {
        $this->emoji_image_dir = 'skin/default/img/emoji/';
        $this->emoji_image_extension = '.gif';
        $this->value_list = array(
            'i' => array(
                1 => '晴れ',
                2 => '曇り',
                3 => '雨',
                4 => '雪',
                5 => '雷',
                6 => '台風',
                7 => '霧',
                8 => '小雨',
                9 => '牡羊座',
                10 => '牡牛座',
                11 => '双子座',
                12 => '蟹座',
                13 => '獅子座',
                14 => '乙女座',
                15 => '天秤座',
                16 => '蠍座',
                17 => '射手座',
                18 => '山羊座',
                19 => '水瓶座',
                20 => '魚座',
                21 => 'スポーツ',
                22 => '野球',
                23 => 'ゴルフ',
                24 => 'テニス',
                25 => 'サッカー',
                26 => 'スキー',
                27 => 'バスケットボール',
                28 => 'モータースポーツ',
                29 => 'ポケットベル',
                30 => '電車',
                31 => '地下鉄',
                32 => '新幹線',
                33 => '車（セダン）',
                34 => '車（ＲＶ）',
                35 => 'バス',
                36 => '船',
                37 => '飛行機',
                38 => '家',
                39 => 'ビル',
                40 => '郵便局',
                41 => '病院',
                42 => '銀行',
                43 => 'ＡＴＭ',
                44 => 'ホテル',
                45 => 'コンビニ',
                46 => 'ガソリンスタンド',
                47 => '駐車場',
                48 => '信号',
                49 => 'トイレ',
                50 => 'レストラン',
                51 => '喫茶店',
                52 => 'バー',
                53 => 'ビール',
                54 => 'ファーストフード',
                55 => 'ブティック',
                56 => '美容院',
                57 => 'カラオケ',
                58 => '映画',
                59 => '右斜め上',
                60 => '遊園地',
                61 => '音楽',
                62 => 'アート',
                63 => '演劇',
                64 => 'イベント',
                65 => 'チケット',
                66 => '喫煙',
                67 => '禁煙',
                68 => 'カメラ',
                69 => 'カバン',
                70 => '本',
                71 => 'リボン',
                72 => 'プレゼント',
                73 => 'バースデー',
                74 => '電話',
                75 => '携帯電話',
                76 => 'メモ',
                77 => 'ＴＶ',
                78 => 'ゲーム',
                79 => 'ＣＤ',
                80 => 'ハート',
                81 => 'スペード',
                82 => 'ダイヤ',
                83 => 'クラブ',
                84 => '目',
                85 => '耳',
                86 => '手（グー）',
                87 => '手（チョキ）',
                88 => '手（パー）',
                89 => '右斜め下',
                90 => '左斜め上',
                91 => '足',
                92 => 'くつ',
                93 => '眼鏡',
                94 => '車椅子',
                95 => '新月',
                96 => 'やや欠け月',
                97 => '半月',
                98 => '三日月',
                99 => '満月',
                100 => '犬',
                101 => '猫',
                102 => 'リゾート',
                103 => 'クリスマス',
                104 => '左斜め下',
                105 => 'phoneto',
                106 => 'mailto',
                107 => 'faxto',
                108 => 'iモード',
                109 => 'iモード（枠付き）',
                110 => 'メール',
                111 => 'ドコモ提供',
                112 => 'ドコモポイント',
                113 => '有料',
                114 => '無料',
                115 => 'ID',
                116 => 'パスワード',
                117 => '次項有',
                118 => 'クリア',
                119 => 'サーチ（調べる）',
                120 => 'ＮＥＷ',
                121 => '位置情報',
                122 => 'フリーダイヤル',
                123 => 'シャープダイヤル',
                124 => 'モバＱ',
                125 => '1',
                126 => '2',
                127 => '3',
                128 => '4',
                129 => '5',
                130 => '6',
                131 => '7',
                132 => '8',
                133 => '9',
                134 => '0',
                135 => '決定',
                136 => '黒ハート',
                137 => '揺れるハート',
                138 => '失恋',
                139 => 'ハートたち（複数ハート）',
                140 => 'わーい（嬉しい顔）',
                141 => 'ちっ（怒った顔）',
                142 => 'がく～（落胆した顔）',
                143 => 'もうやだ～（悲しい顔）',
                144 => 'ふらふら',
                145 => 'グッド（上向き矢印）',
                146 => 'るんるん',
                147 => 'いい気分（温泉）',
                148 => 'かわいい',
                149 => 'キスマーク',
                150 => 'ぴかぴか（新しい）',
                151 => 'ひらめき',
                152 => 'むかっ（怒り）',
                153 => 'パンチ',
                154 => '爆弾',
                155 => 'ムード',
                156 => 'バッド（下向き矢印）',
                157 => '眠い(睡眠)',
                158 => 'exclamation',
                159 => 'exclamation&question',
                160 => 'exclamation×2',
                161 => 'どんっ（衝撃）',
                162 => 'あせあせ（飛び散る汗）',
                163 => 'たらーっ（汗）',
                164 => 'ダッシュ（走り出すさま）',
                165 => 'ー（長音記号１）',
                166 => 'ー（長音記号２）',
                167 => 'カチンコ',
                168 => 'ふくろ',
                169 => 'ペン',
                170 => '人影',
                171 => 'いす',
                172 => '夜',
                173 => 'soon',
                174 => 'on',
                175 => 'end',
                176 => '時計',
                177 => 'iアプリ',
                178 => 'iアプリ（枠付き）',
                179 => 'Tシャツ（ボーダー）',
                180 => 'がま口財布',
                181 => '化粧',
                182 => 'ジーンズ',
                183 => 'スノボ',
                184 => 'チャペル',
                185 => 'ドア',
                186 => 'ドル袋',
                187 => 'パソコン',
                188 => 'ラブレター',
                189 => 'レンチ',
                190 => '鉛筆',
                191 => '王冠',
                192 => '指輪',
                193 => '砂時計',
                194 => '自転車',
                195 => '湯のみ',
                196 => '腕時計',
                197 => '考えてる顔',
                198 => 'ほっとした顔',
                199 => '冷や汗',
                200 => '冷や汗2',
                201 => 'ぷっくっくな顔',
                202 => 'ボケーっとした顔',
                203 => '目がハート',
                204 => '指でOK',
                205 => 'あっかんべー',
                206 => 'ウィンク',
                207 => 'うれしい顔',
                208 => 'がまん顔',
                209 => '猫2',
                210 => '泣き顔',
                211 => '涙',
                212 => 'NG',
                213 => 'クリップ',
                214 => 'コピーライト',
                215 => 'トレードマーク',
                216 => '走る人',
                217 => 'マル秘',
                218 => 'リサイクル',
                219 => 'レジスタードトレードマーク',
                220 => '危険・警告',
                221 => '禁止',
                222 => '空室・空席・空車',
                223 => '合格マーク',
                224 => '満室・満席・満車',
                225 => '矢印左右',
                226 => '矢印上下',
                227 => '学校',
                228 => '波',
                229 => '富士山',
                230 => 'クローバー',
                231 => 'さくらんぼ',
                232 => 'チューリップ',
                233 => 'バナナ',
                234 => 'りんご',
                235 => '芽',
                236 => 'もみじ',
                237 => '桜',
                238 => 'おにぎり',
                239 => 'ショートケーキ',
                240 => 'とっくり（おちょこ付き）',
                241 => 'どんぶり',
                242 => 'パン',
                243 => 'かたつむり',
                244 => 'ひよこ',
                245 => 'ペンギン',
                246 => '魚',
                247 => 'うまい！',
                248 => 'ウッシッシ',
                249 => 'ウマ',
                250 => 'ブタ',
                251 => 'ワイングラス',
                252 => 'げっそり',
            ),
            'e' => array(
                1 => '！',
                2 => '！',
                3 => '？',
                4 => '？',
                5 => '左向き三角１',
                6 => '右向き三角１',
                7 => '左向き三角２',
                8 => '右向き三角２',
                9 => '小四角１',
                10 => '小四角２',
                11 => 'インフォメーションシンボル',
                12 => 'ワイングラス',
                13 => 'スピーカ',
                14 => 'ドル',
                15 => '月１',
                16 => 'いなずま',
                17 => '中四角１',
                18 => '中四角２',
                19 => '小菱形１',
                20 => '小菱形２',
                21 => '大四角１',
                22 => '大四角１',
                23 => '小丸１',
                24 => '小丸2',
                25 => '腕時計',
                26 => 'プラス',
                27 => 'マイナス',
                28 => '星１',
                29 => '上矢印１',
                30 => '下矢印１',
                31 => '丸に斜め線',
                32 => '下三角１',
                33 => '上三角１',
                34 => '下三角２',
                35 => '上三角２',
                36 => '大菱形１',
                37 => '大菱形２',
                38 => '特大四角１',
                39 => '特大四角２',
                40 => '大丸１',
                41 => '大丸２',
                42 => '上矢印２',
                43 => '下矢印２',
                44 => '太陽',
                45 => '野球ボール',
                46 => '時計',
                47 => '月２（顔つき）',
                48 => 'ベル',
                49 => 'プッシュピン（画鋲）',
                50 => '小顔',
                51 => 'ハート',
                52 => 'マティーニ（カクテルグラス）',
                53 => '四つ葉',
                54 => 'トレードマーク（TM）',
                55 => 'かける',
                56 => '文書１',
                57 => '砂時計１',
                58 => '砂時計２',
                59 => 'フロッピーディスク１',
                60 => '雪の結晶',
                61 => 'バツ１',
                62 => 'バツ２',
                63 => '右矢印１',
                64 => '左矢印１',
                65 => 'マグカップ',
                66 => '割る',
                67 => 'カレンダー',
                68 => 'スマイルフェイス',
                69 => '星２',
                70 => '右矢印２',
                71 => '左矢印２',
                72 => 'ジュエリー',
                73 => 'チェックマーク１',
                74 => '犬（プードル）',
                75 => '星３',
                76 => 'スパーク',
                77 => '電球',
                78 => '鳥',
                79 => 'フォルダ１（閉）',
                80 => '顔１',
                81 => 'コピーライトマーク',
                82 => 'レジスタードマーク',
                83 => 'ブリーフケース(ハンドバック）',
                84 => 'フォルダ２（開）',
                85 => '電話１（プッシュホン）',
                86 => '吹き出しコメント',
                87 => 'クレジットカード',
                88 => '上三角３',
                89 => '下三角３',
                90 => 'ＵＳＡ',
                91 => 'ノート３',
                92 => 'クリップボード',
                93 => 'カップ',
                94 => 'カメラ',
                95 => '雨',
                96 => 'フットボール',
                97 => '本１',
                98 => '立ち入り禁止',
                99 => '信号',
                100 => '本２',
                101 => '本３',
                102 => '本４',
                103 => '文書２',
                104 => 'はさみ',
                105 => 'ひめくりカレンダー',
                106 => 'チケット・キップ',
                107 => 'くもり',
                108 => '封筒',
                109 => '小切手（CHECK）',
                110 => 'ビデオカメラ',
                111 => 'ハンディカム',
                112 => '家',
                113 => '花',
                114 => 'ナイフ',
                115 => 'ビデオテープ',
                116 => 'めがね',
                117 => '回り矢印１',
                118 => '回り矢印２',
                119 => 'むしめがね',
                120 => '鍵',
                121 => 'ノート１',
                122 => 'ノート２（開）',
                123 => 'ボルト＆ナット',
                124 => 'くつ',
                125 => '車',
                126 => 'フロッピー２',
                127 => 'チャート（棒グラフ）',
                128 => 'グラフ１（折れ線グラフ）',
                129 => 'メールボックス',
                130 => '懐中電灯',
                131 => 'Roldex',
                132 => 'チェックマーク２',
                133 => 'はっぱ',
                134 => '猟犬',
                135 => '電池',
                136 => 'スクロール',
                137 => 'がびょう',
                138 => '錠前',
                139 => 'ドル札',
                140 => '指差し確認左',
                141 => '指差し確認右',
                142 => '台帳',
                143 => 'クリップ',
                144 => 'プレゼント',
                145 => '名札',
                146 => 'ゴハン１',
                147 => '複数本',
                148 => 'トラック',
                149 => 'エンピツ',
                150 => 'ロゴ（ＰＤＣ社）',
                151 => '封筒２',
                152 => 'レンチ',
                153 => '送信ＢＯＸ',
                154 => '受信ＢＯＸ',
                155 => '電話２',
                156 => '工場・建物',
                157 => '定規１',
                158 => '定規２',
                159 => 'グラフ２',
                160 => '食事２',
                161 => '電話３',
                162 => 'コンセント',
                163 => '家族',
                164 => 'リンク',
                165 => 'パッケージ',
                166 => 'ＦＡＸ',
                167 => 'ときどき曇り',
                168 => '飛行機',
                169 => 'ボート(船）',
                170 => 'サイコロ',
                171 => '新聞',
                172 => '電車',
                173 => '全部ブランク',
                174 => '半分ブランク',
                175 => '4分の１ブランク',
                176 => '喫煙',
                177 => '禁煙',
                178 => '車椅子',
                179 => '若葉マーク',
                180 => '四角数字１',
                181 => '四角数字2',
                182 => '四角数字3',
                183 => '四角数字4',
                184 => '四角数字5',
                185 => '四角数字6',
                186 => '四角数字7',
                187 => '四角数字8',
                188 => '四角数字9',
                189 => '四角数字10',
                190 => '台風',
                191 => 'ゆきだるま',
                192 => '星座（おひつじ座）',
                193 => '星座（おうし座）',
                194 => '星座（双子座）',
                195 => '星座（かに座）',
                196 => '星座（しし座）',
                197 => '星座（おとめ座）',
                198 => '星座（天秤座）',
                199 => '星座（さそり座）',
                200 => '星座（いて座）',
                201 => '星座（やぎ座）',
                202 => '星座（水瓶座）',
                203 => '星座（うお座）',
                204 => '星座（へびつかい座）',
                205 => 'ＡＴＭ',
                206 => '２４HOURS（コンビニ)',
                207 => 'トイレ',
                208 => 'パーキング',
                209 => 'バス停',
                210 => 'ｱﾝﾃﾅ（位置情報ﾏｰｸ）',
                211 => '港（いかりマーク）',
                212 => '銀行',
                213 => 'ガススタンド',
                214 => '地図',
                215 => '自転車',
                216 => 'バス',
                217 => '新幹線',
                218 => 'マラソン',
                219 => 'サッカー',
                220 => 'テニス',
                221 => 'スノーボード',
                222 => 'チェッカーフラグ（モータースポーツ）',
                223 => '遊園地',
                224 => '温泉',
                225 => '居酒屋（赤ちょうちん）',
                226 => '映画（かちんこ）',
                227 => '夜の橋',
                228 => '東京タワー',
                229 => 'スロット（７７７）',
                230 => 'くす玉（アタリのくす玉）',
                231 => '当選弓矢',
                232 => 'ゲームのコントローラ',
                233 => '賞金',
                234 => 'クリスマスツリー',
                235 => '花見(さくら）',
                236 => 'お化け',
                237 => '旗（祝日・日の丸）',
                238 => 'スイカ',
                239 => 'ケーキ',
                240 => 'フライパン（目玉焼き）',
                241 => 'さくらんぼ',
                242 => 'ふぐ',
                243 => 'イチゴ',
                244 => 'おにぎり',
                245 => 'ハンバーガー（ファーストフード）',
                246 => 'くじら',
                247 => 'うさぎ',
                248 => 'うま',
                249 => 'さる',
                250 => 'かえる',
                251 => '猫',
                252 => 'ペンギン',
                253 => 'あり',
                254 => 'ぶた',
                255 => 'やしのき',
                256 => 'ひまわり',
                257 => '顔１（うれしいカオ）',
                258 => '顔２（おこったカオ）',
                259 => '顔３（かなしいカオ）',
                260 => '顔４（つかれたカオ）',
                261 => '眠い（ＺＺＺ…）',
                262 => '怒り（ムカッ）',
                263 => '雫（涙・汗）',
                264 => 'からかう（あっかんべえ）',
                265 => 'ハート２（われている）',
                266 => 'ハート３（大きい＆小さい）',
                267 => 'スパーク２（キラリマーク）',
                268 => '爆弾',
                269 => '炎',
                270 => '捜索（SOS）',
                271 => '力こぶ',
                272 => 'ハート５（矢がささっている）',
                273 => 'キスマーク',
                274 => '宇宙人',
                275 => 'なると',
                276 => '足跡（犬）',
                277 => '悪魔',
                278 => '花丸',
                279 => '丸秘',
                280 => '100点満点',
                281 => 'パンチ',
                282 => 'ダッシュ',
                283 => 'ウンチマーク',
                284 => '人差し指サイン',
                285 => 'マル得',
                286 => 'どくろ',
                287 => 'おやゆびサイン',
                288 => 'テレビ',
                289 => 'マイク',
                290 => '財布',
                291 => 'メロディ',
                292 => 'ギター（エレキ）',
                293 => 'バイオリン（クラッシック）',
                294 => 'ヘッドフォン',
                295 => '口紅',
                296 => 'アクション（ピストル）',
                297 => 'エステ',
                298 => 'EZマーク',
                299 => '無料（ＦＲＥＥ）',
                300 => 'CD/DVD',
                301 => '婦人服',
                302 => 'UFO',
                303 => '更新（ＵＰ！）',
                304 => '注射器（血）',
                305 => '霧',
                306 => 'ゴルフ',
                307 => 'バスケットボール',
                308 => 'ポケットベル',
                309 => 'アート',
                310 => '演劇',
                311 => 'イベント',
                312 => 'リボン',
                313 => 'バースデー',
                314 => 'スペード',
                315 => 'ダイヤ',
                316 => 'クラブ',
                317 => '目',
                318 => '耳',
                319 => '手（チョキ）',
                320 => '手（パー）',
                321 => '新月',
                322 => 'やや欠け月',
                323 => '半月',
                324 => 'クリア',
                325 => '四角数字0',
                326 => '決定',
                327 => 'ふらふら',
                328 => 'かわいい',
                329 => 'どんっ（衝撃）',
                330 => 'あせあせ（飛び散る汗）',
                331 => 'イージープラス',
                332 => '地球',
                333 => 'ラーメン',
                334 => 'NEW',
                335 => '紳士服',
                336 => '紳士靴',
                337 => 'パソコン',
                338 => 'ラジオ',
                339 => 'バラ',
                340 => 'チャペル',
                341 => '地下鉄',
                342 => '富士山',
                343 => '八分音符',
                344 => '天使',
                345 => 'トラ',
                346 => 'くま',
                347 => 'ねずみ',
                348 => 'ウインク',
                349 => '目がハート',
                350 => 'ショッキング',
                351 => '困り',
                352 => 'たこ',
                353 => 'ロケット',
                354 => '王冠',
                355 => 'チュー',
                356 => 'ハンマー',
                357 => '打ち上げ花火',
                358 => '枯れ葉',
                359 => '仕事かばん',
                360 => '噴水',
                361 => 'キャンプ',
                362 => '麻雀',
                363 => 'ＶＳ（バーサス）',
                364 => 'トロフィー',
                365 => 'カメ',
                366 => 'スペイン国旗',
                367 => 'ロシア国旗',
                368 => '工事中',
                369 => '風呂',
                370 => '祝日マーク',
                371 => '夕方街並み',
                372 => '卵割り',
                373 => '株価',
                374 => 'ポリス',
                375 => '郵便局',
                376 => '病院',
                377 => '学校',
                378 => 'ホテル',
                379 => '船',
                380 => '18禁',
                381 => '圏内',
                382 => 'COOL!',
                383 => '割マーク',
                384 => 'ザ・マーク',
                385 => 'ＩＤマーク',
                386 => '満マーク',
                387 => '空マーク',
                388 => '指定マーク',
                389 => '営業中マーク',
                390 => '上指差し',
                391 => '下指差し',
                392 => '占い',
                393 => 'マナーモード',
                394 => '電源OFF',
                395 => 'メモする',
                396 => 'ネクタイ',
                397 => 'ハイビスカス',
                398 => '花束',
                399 => 'サボテン',
                400 => 'お銚子＆杯',
                401 => '乾杯',
                402 => '祝マーク',
                403 => '風邪薬',
                404 => '風船',
                405 => 'クラッカー',
                406 => 'eznavigation',
                407 => '帽子',
                408 => 'ロングブーツ',
                409 => 'ネイル',
                410 => '美容院',
                411 => '床屋',
                412 => '着物',
                413 => 'ビキニ',
                414 => 'ハート（トランプ）',
                415 => '光るハート',
                416 => '青ハート',
                417 => '緑ハート',
                418 => '黄ハート',
                419 => '紫ハート',
                420 => 'きらきら',
                421 => 'スキー',
                422 => '○',
                423 => '日本茶',
                424 => '食パン',
                425 => 'ソフトクリーム',
                426 => 'ポテト',
                427 => 'だんご',
                428 => 'おせんべい',
                429 => 'ごはん',
                430 => 'スパゲッティ',
                431 => 'カレー',
                432 => 'おでん',
                433 => '寿司',
                434 => 'りんご',
                435 => 'みかん',
                436 => 'トマト',
                437 => 'なす',
                438 => '弁当',
                439 => '鍋',
                440 => 'ふっ',
                441 => 'しょぼり',
                442 => '勝ち誇り',
                443 => '失敗',
                444 => 'わからん',
                445 => '眠い',
                446 => 'てれてれ',
                447 => '青ざめ',
                448 => '風邪ひき',
                449 => '熱',
                450 => '横目',
                451 => 'びっくり',
                452 => 'あせり',
                453 => '楽譜',
                454 => 'にこにこ',
                455 => 'チュー２',
                456 => 'チュッ',
                457 => '鼻',
                458 => '口',
                459 => 'ゴメン／お願い',
                460 => '拍手',
                461 => 'ＯＫ！',
                462 => 'ブーイング',
                463 => 'バイバイ',
                464 => 'ＮＧ',
                465 => 'ＯＫ！２',
                466 => '平謝り',
                467 => 'カップル',
                468 => 'バニー',
                469 => 'トランペット',
                470 => 'ビリヤード',
                471 => '水泳',
                472 => '消防車',
                473 => '救急車',
                474 => 'パトカー',
                475 => 'ジェットコースター',
                476 => '門松',
                477 => '雛祭り',
                478 => '卒業式',
                479 => '入学式',
                480 => 'こいのぼり',
                481 => '傘',
                482 => '花嫁',
                483 => 'かき氷',
                484 => '線香花火',
                485 => '巻き貝',
                486 => '風鈴',
                487 => 'ハロウィン',
                488 => 'お月見',
                489 => 'サンタ',
                490 => '夜／流れ星',
                491 => '虹',
                492 => 'ホテル２',
                493 => '日の出',
                494 => 'シルクハット',
                495 => 'デパート',
                496 => '城（日本）',
                497 => '城（ヨーロッパ）',
                498 => '工場２',
                499 => 'フランス国旗',
                500 => 'オープンウェーブ',
                501 => 'ロック確認',
                502 => '大文字',
                503 => '小文字',
                504 => '数字',
                505 => '記号',
                506 => 'アクセプト',
                507 => 'チェックボックス',
                508 => 'エディット',
                509 => 'ラジオボタン',
                510 => '見る',
                511 => '戻る',
                512 => 'お気に入り',
                513 => '終了',
                514 => 'ホーム',
                515 => '受信箱１',
                516 => 'マーク',
                517 => '個人',
                518 => '再読み込み',
                700 => 'ドイツ国旗',
                701 => 'イタリア国旗',
                702 => 'イギリス国旗',
                703 => '中国国旗',
                704 => '韓国国旗',
                705 => '白人',
                706 => '中国人',
                707 => 'インド人',
                708 => 'おじいさん',
                709 => 'おばあさん',
                710 => '赤ちゃん',
                711 => '工事現場の人',
                712 => 'お姫様',
                713 => 'イルカ',
                714 => 'ダンス',
                715 => '熱帯魚',
                716 => 'げじげじ',
                717 => '象',
                718 => 'コアラ',
                719 => 'ホルスタイン',
                720 => 'ヘビ',
                721 => '鶏',
                722 => 'うりぼう',
                723 => 'ふたこぶらくだ',
                724 => 'Ａ型',
                725 => 'Ｂ型',
                726 => 'Ｏ型',
                727 => 'ＡＢ型',
                728 => '足跡',
                729 => 'スニーカー',
                730 => '旗',
                731 => '上向きカーブ矢印',
                732 => '下向きカーブ矢印',
                733 => '「！？」',
                734 => '「！！」',
                735 => 'くるり',
                736 => 'メロン',
                737 => 'パイナップル',
                738 => 'ぶどう',
                739 => 'バナナ',
                740 => 'とうもろこし',
                741 => 'きのこ',
                742 => '栗',
                743 => '桃',
                744 => 'やきいも',
                745 => 'ピザ',
                746 => 'ターキー',
                747 => '七夕笹飾り',
                748 => 'トロピカルドリンク',
                749 => '辰',
                750 => 'ピアノ',
                751 => 'サーフィン',
                752 => '釣り',
                753 => 'ボーリング',
                754 => 'なまはげ',
                755 => '天狗',
                756 => 'パンダ',
                757 => 'あかんべー',
                758 => 'ぶたの鼻',
                759 => '花',
                760 => 'アイスクリーム',
                761 => 'ドーナツ',
                762 => 'クッキー',
                763 => 'チョコ',
                764 => 'キャンディ（つつみ）',
                765 => 'キャンディ（ぺろぺろ）',
                766 => '見ざる',
                767 => '言わざる',
                768 => '聞かざる',
                769 => '火山',
                770 => 'リボンがけのハート',
                771 => '英語「ＡＢＣ」',
                772 => 'プリン',
                773 => 'ミツバチ',
                774 => 'テントウムシ',
                775 => '蜂蜜ポット',
                776 => '青りんご',
                777 => '羽のはえたお札',
                778 => '目がまわる時の記号',
                779 => 'ぷー（かわいく怒）',
                780 => 'ぶー（かわいく怒）（ネコ）',
                781 => '天の川',
                782 => 'チュー（ネコ）',
                783 => 'にこ（ネコ）',
                784 => 'メールする',
                785 => '泣き笑い（ネコ）',
                786 => '泣き笑い',
                787 => '目がハート（ネコ）',
                788 => 'ほえー（ネコ）',
                789 => 'ほえー',
                790 => '涙ぽろり（ネコ）',
                791 => '涙ぽろり',
                792 => 'きりり（ネコ）',
                793 => 'ドレス',
                794 => 'モヤイ像',
                795 => '駅',
                796 => '花札',
                797 => 'ジョーカー',
                798 => 'エビフライ',
                799 => 'ｅメールアイコン',
                800 => '歩く人',
                801 => 'パトカーのランプ',
                802 => 'ezmovie',
                803 => 'ドキドキしているハート',
                804 => '正面向きのひよこ',
                805 => 'ジーンズ',
                806 => 'ハートつきメール',
                807 => '循環矢印',
                808 => '左右両方向矢印',
                809 => '上下両方向矢印',
                810 => '荒波',
                811 => '双葉',
                812 => 'かたつむり',
                813 => 'うっしっし（ネコ）',
                814 => 'うっしっし',
                815 => 'Cメールアイコン',
                816 => 'ハーブ',
                817 => 'グー',
                818 => '＃',
                819 => 'キャラクター（挙手）',
                820 => 'キャラクター（万歳）',
                821 => 'キャラクター（しょんぼり）',
                822 => 'キャラクター（かわいく怒る）',
            ),
            's' => array(
                1 => '男の子',
                2 => '女の子',
                3 => 'キスマーク',
                4 => 'お父さん',
                5 => 'お母さん',
                6 => '洋服',
                7 => 'ブーツ',
                8 => 'カメラ',
                9 => '電話',
                10 => '携帯電話',
                11 => 'FAX',
                12 => 'パソコン',
                13 => 'パンチ',
                14 => 'GOOD!',
                15 => 'No.1',
                16 => 'グー',
                17 => 'チョキ',
                18 => 'パー',
                19 => 'スキー',
                20 => 'ゴルフ',
                21 => 'テニス',
                22 => '野球',
                23 => 'サーフィン',
                24 => 'サッカー',
                25 => '魚',
                26 => 'うま',
                27 => '車',
                28 => 'ヨット',
                29 => '飛行機',
                30 => '電車',
                31 => '新幹線',
                32 => 'ハテナ',
                33 => 'ビックリ',
                34 => 'ハートマーク',
                35 => 'ハートブレイク',
                36 => '1時',
                37 => '2時',
                38 => '時計',
                39 => '4時',
                40 => '5時',
                41 => '6時',
                42 => '7時',
                43 => '8時',
                44 => '9時',
                45 => '10時',
                46 => '11時',
                47 => '12時',
                48 => 'お花見',
                49 => 'エンブレム',
                50 => 'バラ',
                51 => 'クリスマス',
                52 => '指輪',
                53 => '宝石',
                54 => '家',
                55 => '教会',
                56 => 'ビル',
                57 => '駅',
                58 => 'ガソリンスタンド',
                59 => '山',
                60 => 'マイク',
                61 => '映画',
                62 => '音楽',
                63 => 'カギ',
                64 => 'サックス',
                65 => 'ギター',
                66 => 'トランペット',
                67 => 'レストラン',
                68 => 'カクテル',
                69 => 'コーヒー',
                70 => 'ケーキ',
                71 => 'ビール',
                72 => '雪',
                73 => '曇り',
                74 => '晴れ(昼)',
                75 => '雨',
                76 => '晴れ(夜)',
                77 => '朝',
                78 => '天使',
                79 => 'ねこ',
                80 => 'とら',
                81 => 'くま',
                82 => 'いぬ',
                83 => 'ねずみ',
                84 => 'クジラ',
                85 => 'ペンギン',
                86 => '楽',
                87 => '喜',
                88 => '哀',
                89 => '怒',
                90 => 'ウンチ',
                91 => 'メール受信',
                92 => 'メール送信',
                93 => 'メール宛先',
                94 => '電話番号',
                95 => 'あっかんベー',
                96 => 'ラブラブ',
                97 => 'ガビーン',
                98 => 'タラー',
                99 => 'さる',
                100 => 'たこ',
                101 => 'ぶた',
                102 => '宇宙人',
                103 => 'ロケット',
                104 => '王冠',
                105 => '電球',
                106 => 'よつば',
                107 => 'キス',
                108 => 'バースデー',
                109 => 'ピストル',
                110 => '虫眼鏡',
                111 => '陸上',
                112 => 'オークション',
                113 => '花火',
                114 => 'もみじ',
                115 => '落ち葉',
                116 => '悪魔',
                117 => 'おばけ',
                118 => 'ドクロ',
                119 => 'ファイヤー',
                120 => 'かばん',
                121 => '座席',
                122 => 'ハンバーガ',
                123 => '公園',
                124 => 'キャンプ場',
                125 => '温泉',
                126 => '遊園地',
                127 => 'チケット',
                128 => 'CD',
                129 => 'DVD',
                130 => 'ラジオ',
                131 => 'ビデオ',
                132 => 'テレビ',
                133 => 'ゲーム',
                134 => '歌い出し',
                135 => 'マージャン',
                136 => '対決',
                137 => '賞金',
                138 => '当り',
                139 => 'トロフィー',
                140 => 'ゴール',
                141 => 'スロット',
                142 => '競馬',
                143 => '競艇',
                144 => '競輪',
                145 => '工事中',
                146 => '男性',
                147 => '女性',
                148 => '乳幼児',
                149 => '注射器',
                150 => '睡眠',
                151 => '雷',
                152 => 'ハイヒール',
                153 => '入浴',
                154 => 'トイレ',
                155 => '音声',
                156 => 'お知らせ',
                157 => '祝日',
                158 => 'ロックON',
                159 => 'ロックOFF',
                160 => '街',
                161 => '料理',
                162 => '本',
                163 => '為替相場',
                164 => '株価',
                165 => 'ニュース',
                166 => '元気',
                167 => '銀行',
                168 => '信号',
                169 => '駐車場',
                170 => 'バス停',
                171 => '公衆トイレ',
                172 => '交番',
                173 => '郵便局',
                174 => 'ATM',
                175 => '病院',
                176 => 'コンビニ',
                177 => '学校',
                178 => 'ホテル',
                179 => 'バス',
                180 => 'タクシー',
                181 => '徒歩',
                182 => '船',
                183 => '目的地',
                184 => '飾罫1',
                185 => '飾罫2',
                186 => '飾罫3',
                187 => '18禁',
                188 => '禁煙',
                189 => '初心者',
                190 => 'バリアフリー',
                191 => 'アンテナマーク',
                192 => 'ハート',
                193 => 'ダイヤ',
                194 => 'スペード',
                195 => 'クラブ',
                196 => 'シャープダイヤル',
                197 => 'フリーダイヤル',
                198 => '新着',
                199 => '更新',
                200 => 'おすすめ',
                201 => '有料',
                202 => '無料',
                203 => '月額',
                204 => '申し込み',
                205 => '見出しボタン1',
                206 => '見出しボタン2',
                207 => '見出しボタン3',
                208 => '1ボタン',
                209 => '2ボタン',
                210 => '3ボタン',
                211 => '4ボタン',
                212 => '5ボタン',
                213 => '6ボタン',
                214 => '7ボタン',
                215 => '8ボタン',
                216 => '9ボタン',
                217 => '0ボタン',
                218 => 'お得',
                219 => '割引',
                220 => 'サービス料',
                221 => 'ID',
                222 => '満席',
                223 => '空席',
                224 => '指定席',
                225 => '営業時間',
                226 => '上へ',
                227 => '下へ',
                228 => '左へ',
                229 => '右へ',
                230 => '上',
                231 => '下',
                232 => '右',
                233 => '左',
                234 => '右上',
                235 => '左上',
                236 => '右下',
                237 => '左下',
                238 => '次へ',
                239 => '前へ',
                240 => '早送り',
                241 => '巻戻し',
                242 => '星座',
                243 => 'おひつじ座',
                244 => 'おうし座',
                245 => 'ふたご座',
                246 => 'かに座',
                247 => 'しし座',
                248 => 'おとめ座',
                249 => 'てんびん座',
                250 => 'さそり座',
                251 => 'いて座',
                252 => 'やぎ座',
                253 => 'みずがめ座',
                254 => 'うお座',
                255 => 'へびつかい座',
                256 => 'TOPページ',
                257 => 'OKボタン',
                258 => '著作権',
                259 => '登録商標',
                260 => 'マナーモード',
                261 => '電源切',
                262 => 'ご注意',
                263 => 'ご案内',
                264 => 'J-PHONショップ',
                265 => 'スカイウェイブ',
                266 => 'スカイウォーカー',
                267 => 'スカイメロディ',
                268 => 'J-PHONE',
                269 => 'J-PHONE2',
                270 => 'J-PHONE3',
                271 => 'メモ',
                272 => 'ネクタイ',
                273 => 'ハイビスカス',
                274 => 'チューリップ',
                275 => 'ひまわり',
                276 => '花束',
                277 => 'やしの木',
                278 => 'サボテン',
                279 => 'トイレ',
                280 => 'ヘッドフォン',
                281 => '晩酌',
                282 => '乾杯',
                283 => '祝',
                284 => '喫煙',
                285 => 'カプセル薬',
                286 => '風船',
                287 => '爆弾',
                288 => 'クラッカー',
                289 => 'ハサミ',
                290 => 'リボン',
                291 => 'マル秘',
                292 => 'MD',
                293 => 'メガフォン',
                294 => '帽子',
                295 => '可愛いワンピース',
                296 => 'ミュール',
                297 => 'ロングブーツ',
                298 => '口紅',
                299 => 'マニュキア',
                300 => 'エステ',
                301 => '美容院',
                302 => '理容院',
                303 => '着物',
                304 => 'ビキニ',
                305 => 'ブランドバック',
                306 => 'カチンコ',
                307 => 'すず',
                308 => '踊る音符',
                309 => 'ぴかぴかハート',
                310 => 'どきどきハート',
                311 => 'ハートを射とめて',
                312 => 'ハート:青',
                313 => 'ハート:緑',
                314 => 'ハート:黄',
                315 => 'ハート:紫',
                316 => 'NEW',
                317 => '☆',
                318 => 'ダッシュ',
                319 => '飛び散る汗',
                320 => '○',
                321 => '×',
                322 => '怒り',
                323 => '☆(点滅)',
                324 => '"動く""?"""',
                325 => '"動く""!"""',
                326 => 'お茶',
                327 => 'パン',
                328 => 'ソフトクリーム',
                329 => 'フライドポテト',
                330 => '串団子',
                331 => 'せんべい',
                332 => 'ご飯',
                333 => 'スパゲッティ',
                334 => 'ラーメン',
                335 => 'カレーライス',
                336 => 'おにぎり',
                337 => 'おでん',
                338 => '寿司',
                339 => 'りんご',
                340 => 'みかん',
                341 => 'いちご',
                342 => 'すいか',
                343 => 'トマト',
                344 => 'なす',
                345 => 'バースデーケーキ',
                346 => '駅弁',
                347 => 'ナベ',
                348 => 'あせり',
                349 => 'ほくそえんでいる',
                350 => 'ひたすらごめんなさい',
                351 => 'えっへん',
                352 => 'ウィンク',
                353 => 'わさびがきいた',
                354 => '目がぐるぐる',
                355 => '鼻ちょうちん',
                356 => 'あっかんべー',
                357 => '酔っぱらい',
                358 => 'ゲロゲロ',
                359 => 'マスクをつけた顔',
                360 => '顔があかくなる',
                361 => 'しらけ顔',
                362 => '冷や汗',
                363 => 'びっくり',
                364 => '泣き',
                365 => '泣いたり笑ったり',
                366 => '可愛く泣いている人',
                367 => 'にこにこ',
                368 => 'あははと笑う',
                369 => 'めちゃめちゃ怒っている',
                370 => 'KISS:動く口',
                371 => '投げKISS',
                372 => '目',
                373 => '鼻',
                374 => '耳',
                375 => '口',
                376 => 'ごめんなさい',
                377 => 'バイバイ',
                378 => '拍手',
                379 => 'OK',
                380 => 'Booing',
                381 => 'おっは～',
                382 => '×',
                383 => '○',
                384 => '手をつないでいる',
                385 => '土下座',
                386 => 'バンザイ',
                387 => '人と人が歩いている',
                388 => 'ラインダンス',
                389 => 'バスケットボール',
                390 => 'フットボール',
                391 => 'ビリヤード',
                392 => '水泳',
                393 => 'RV',
                394 => 'トラック',
                395 => '消防車',
                396 => '救急車',
                397 => 'パトカー',
                398 => 'ジェットコースター',
                399 => '地下鉄',
                400 => '新幹線(700系)',
                401 => '門松',
                402 => 'チョコ',
                403 => 'お雛様',
                404 => '卒業式',
                405 => 'ランドセル',
                406 => '鯉のぼり',
                407 => 'とじかさ',
                408 => '結婚式',
                409 => '波がザーン',
                410 => 'かき氷',
                411 => '線香花火',
                412 => '貝',
                413 => '風鈴',
                414 => '台風',
                415 => '稲穂',
                416 => 'ハロウィン',
                417 => 'お月見',
                418 => '風がビュー',
                419 => 'サンタクロース',
                420 => '朝日',
                421 => '夕日',
                422 => '流れ星',
                423 => '虹',
                424 => 'ラブホテル',
                425 => 'アート',
                426 => '演劇',
                427 => 'デパート',
                428 => 'お城(和)',
                429 => 'お城(洋)',
                430 => '映画館',
                431 => '工場',
                432 => '東京タワー',
                433 => '109',
                434 => '日本',
                435 => 'アメリカ',
                436 => 'フランス',
                437 => 'ドイツ',
                438 => 'イタリア',
                439 => 'イギリス',
                440 => 'スペイン',
                441 => 'ロシア',
                442 => '中国',
                443 => '韓国',
                444 => '白人',
                445 => '中国人',
                446 => 'インド人',
                447 => 'おじいちゃん',
                448 => 'おばあちゃん',
                449 => 'あかちゃん',
                450 => '安全第一',
                451 => 'お姫さま',
                452 => '自由の女神',
                453 => '衛兵',
                454 => 'フラメンコ',
                455 => 'イルカ',
                456 => 'とり',
                457 => '熱帯魚',
                458 => 'ひよこ',
                459 => 'ハムスター',
                460 => 'けむし',
                461 => 'ぞう',
                462 => 'こあら',
                463 => 'チンパジー',
                464 => 'ひつじ',
                465 => 'おおかみ',
                466 => 'うし',
                467 => 'うさぎ',
                468 => 'へび',
                469 => 'にわとり',
                470 => 'いのしし',
                471 => 'らくだ',
                472 => 'かえる',
                473 => 'A型',
                474 => 'B型',
                475 => 'AB型',
                476 => 'O型',
                477 => '足あと',
                478 => 'TM',
                479 => 'J-Sky1',
                480 => 'J-Sky2',
                481 => 'vodafone1',
                482 => 'vodafone2',
                483 => 'vodafone3',
                484 => 'vodafone4',
                485 => 'vodafone5',
            ),
        );
    }

    function &getInstance()
    {
        static $singleton;
        if (empty($singleton)) {
            $singleton = new OpenPNE_KtaiEmoji_Img();
        }
        return $singleton;
    }

    /**
     * 絵文字IDを画像表示用タグにして返す
     *
     * @param string $emoji_code_id 絵文字ID
     * @return string 画像表示用タグ
     */
    function get_emoji4emoji_code_id($emoji_code_id)
    {
        $carrier_id = $emoji_code_id{0};
        $emoji_code_id = str_replace(':', '', $emoji_code_id);
        $emoji_id = substr($emoji_code_id, 1);
        $emoji_path = './' . $this->emoji_image_dir . $carrier_id .'/' . $emoji_code_id . $this->emoji_image_extension;
        $emoji_name = $this->value_list[$carrier_id][$emoji_id];

        $str = '<img src="' . $emoji_path . '" alt="' . $emoji_name . '" />';

        return $str;
    }
}
?>
